Subject: bug#34001: 26.1.90; :distant-foreground face property fails to work in most cases

From: Daniel Colascione <[email-masked]>
Date: Mon, 21 Jan 2019 18:09:39 -0500

On 1/21/19 5:58 PM, Basil L. Contovounesios wrote:
> Tina Russell <[email-masked]> writes:
> 
>> I’m not the only one who’s noticed this; there’s a good StackExchange
>> thread from 2015 here:
>> https://emacs.stackexchange.com/questions/7982/ The author notes that
>> there should be a user option to set the amount of “distance” (between
>> foreground and background colors) that is required for
>> distant-foreground to kick in
> 
> It would be nice if any work in this area took into consideration
> existing efforts by Julien Danjou (CCed) in lisp/net/shr-color.el
> (see e.g. user options shr-color-visible-luminance-min and
> shr-color-visible-distance-min and function shr-color-visible).
> 
> For example, the library may end up either duplicating existing core
> logic, or prove sufficiently useful that it is moved to a less
> SHR-specific location (I'm just speculating).
> 
>> , and adds that a good way to measure
>> color distance in real-world circumstances is described here:
>> http://web.mst.edu/~rhall/web_design/color_readability.html A commenter
>> suggested that he file a bug, but I can’t find an Emacs bug report
>> related to this issue, so I’m filing this now.
> 
> FWIW, there has been some discussion of colour distances in bug#25525
> and bug#30295:
> 
>    https://debbugs.gnu.org/25525
>    https://debbugs.gnu.org/30295
> 

I think I had a proposal a long time ago to just call into lisp during 
redisplay in order to compute the color composition.